com.fasterxml.jackson.dataformat.xml.util

## Class AnnotationUtil

- java.lang.Object
- - com.fasterxml.jackson.dataformat.xml.util.AnnotationUtil

    public class AnnotationUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AnnotationUtil()`

### Method Summary

Methods
`static Boolean` `findIsAttributeAnnotation(com.fasterxml.jackson.databind.AnnotationIntrospector ai, com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)`
`static Boolean` `findIsCDataAnnotation(com.fasterxml.jackson.databind.AnnotationIntrospector ai, com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)`
`static Boolean` `findIsTextAnnotation(com.fasterxml.jackson.databind.AnnotationIntrospector ai, com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)`
`static String` `findNamespaceAnnotation(com.fasterxml.jackson.databind.AnnotationIntrospector ai, com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationUtil

    public AnnotationUtil()

### Method Detail

#### findNamespaceAnnotation

    public static String findNamespaceAnnotation(com.fasterxml.jackson.databind.AnnotationIntrospector ai,
                                 com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)

#### findIsAttributeAnnotation

    public static Boolean findIsAttributeAnnotation(com.fasterxml.jackson.databind.AnnotationIntrospector ai,
                                    com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)

#### findIsTextAnnotation

    public static Boolean findIsTextAnnotation(com.fasterxml.jackson.databind.AnnotationIntrospector ai,
                               com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)

#### findIsCDataAnnotation

    public static Boolean findIsCDataAnnotation(com.fasterxml.jackson.databind.AnnotationIntrospector ai,
                                com.fasterxml.jackson.databind.introspect.AnnotatedMember prop)